.video-gallery {
    padding-top: rem(40);
    padding-bottom: rem(30);

    &__header {
        font-weight: 700;
        line-height: 125%;
        font-size: rem(32);
        margin-bottom: rem(24);
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(60);
        padding-bottom: rem(60);

        &__header {
            text-align: left;
            line-height: 120%;
            font-size: rem(42);
            margin-bottom: rem(32);
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            font-size: rem(50);
            line-height: rem(60);
        }
    }
}

.video-item {
    height: 100%;
    display: block;
    overflow: hidden;
    font-weight: 500;
    line-height: 135%;
    font-size: rem(18);
    background: #F4F5F6;
    border-radius: 16px;
    text-decoration: none;

    &:hover {
        color: $dark;
        text-decoration: none;
    }

    &__media {
        display: block;
        position: relative;
    }

    &__image {
        display: block;
    }

    &__icon {
        z-index: 10;
        width: 56px;
        height: 56px;
        display: block;
        position: absolute;
        top: calc(50% - 28px);
        left: calc(50% - 28px);
    }

    &__text {
        display: block;
        padding: rem(16);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(20);
        line-height: 140%;

        &__text {
            padding: rem(24);
        }

        &__icon {
            width: 72px;
            height: 72px;
            top: calc(50% - 36px);
            left: calc(50% - 36px);
        }
    }
}

[data-video] {
    overflow: visible;

    .swiper-slide {
        height: auto;
        width: rem(300);
        padding-right: rem(12);
    }

    @include media-breakpoint-up(lg) {

        .swiper-slide {
            width: rem(400);
            padding-right: rem(24);
        }
    }

    @include media-breakpoint-up(xl) {

        .swiper-slide {
            width: rem(624);
            padding-right: rem(24);
        }
    }
}
